Debian Bug report logs - #700676
ITP: opencolorio -- complete color management solution

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marcus Watts <mdw@umich.edu>

Date: Sat, 16 Feb 2013 00:39:01 UTC

Owned by: "Matteo F. Vescovi" <mfv.debian@gmail.com>

Severity: wishlist

Fixed in version opencolorio/1.0.8~dfsg0-1

Done: mfv.debian@gmail.com (Matteo F. Vescovi)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, mfv.debian@gmail.com, wnpp@debian.org:
Bug#700676; Package wnpp. (Sat, 16 Feb 2013 00:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcus Watts <mdw@umich.edu>:
New Bug report received and forwarded. Copy sent to mfv.debian@gmail.com, wnpp@debian.org.

Your message specified a Severity: in the pseudo-header, but the severity value rfp was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

(Sat, 16 Feb 2013 00:39:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcus Watts <mdw@umich.edu>
To: submit@bugs.debian.org
Cc: mdw@umich.edu
Subject: TAG: opencolorio -- complete color management solution
Date: Fri, 15 Feb 2013 19:03:38 -0500
Package: wnpp
Severity: RFP

OpenColorIO
http://opencolorio.org
is a "compete color management solution"

I've been experimenting with newer versions of blender,
which as of 2.64 has added support for "opencolorio".  I believe
this can add significant useful functionality to blender.  It looks
like "krita" and "openimageio" can also use it.

For blender,
http://wiki.blender.org/index.php/Dev:Ref/Release_Notes/2.64/Color_Management

For krita,
http://krita.org/item/113-krita-starts-supporting-opencolorio

Since opencolorio in turn also depends on "openimageio" it appears to
me that it would be most logical if the same folks maintained both.

copyright,
	upstream
*
Copyright: 2003-2010 Sony Pictures Imageworks Inc., et al.
( better yet, see their statement,
http://opencolorio.org/License.html
)

	since I started with IRIE Shinsuke's package,
debian/*
Copyright: 2012 IRIE Shinsuke <irieshinsuke@yahoo.co.jp>
License: BSD-3-Clause

In the hopes this will make life easier for folks,
here's source & a sample binary for what I have:

http://www-personal.umich.edu/~mdw/deb/

opencolorio_1.0.8-1_source.changes
opencolorio_1.0.8.orig.tar.gz
opencolorio_1.0.8-1.debian.tar.gz
opencolorio_1.0.8-1.dsc

opencolorio-doc_1.0.8-1_all.deb
opencolorio-tools_1.0.8-1_amd64.deb
opencolorio_1.0.8-1_amd64.changes
libopencolorio-dev_1.0.8-1_amd64.deb
libopencolorio0_1.0.8-1_amd64.deb

I started with IRIE Shinsuke's ubuntu configuration, but that only
built static libraries.  My build now also includes a shared library,
documentation, and tools.

					-Marcus Watts



Changed Bug title to 'RFP: opencolorio -- complete color management solution' from 'TAG: opencolorio -- complete color management solution' Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Sat, 16 Feb 2013 14:15:07 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Sat, 16 Feb 2013 14:15:07 GMT) Full text and rfc822 format available.

Changed Bug title to '"ITP: opencolorio -- complete color management solution"' from 'RFP: opencolorio -- complete color management solution' Request was from "Matteo F. Vescovi" <mfv.debian@gmail.com> to control@bugs.debian.org. (Wed, 20 Feb 2013 13:57:03 GMT) Full text and rfc822 format available.

Owner recorded as "Matteo F. Vescovi" <mfv.debian@gmail.com>. Request was from "Matteo F. Vescovi" <mfv.debian@gmail.com> to control@bugs.debian.org. (Wed, 20 Feb 2013 13:57:03 GMT) Full text and rfc822 format available.

Changed Bug title to ''ITP: opencolorio -- complete color management solution'' from '"ITP: opencolorio -- complete color management solution"' Request was from "Matteo F. Vescovi" <mfv.debian@gmail.com> to control@bugs.debian.org. (Wed, 20 Feb 2013 15:48:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: opencolorio -- complete color management solution' from ''ITP: opencolorio -- complete color management solution'' Request was from Matteo F. Vescovi <mfv.debian@gmail.com> to control@bugs.debian.org. (Wed, 20 Feb 2013 15:57:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#700676; Package wnpp. (Tue, 05 Mar 2013 14:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Matteo F. Vescovi" <mfv.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 05 Mar 2013 14:06:05 GMT) Full text and rfc822 format available.

Message #22 received at 700676@bugs.debian.org (full text, mbox):

From: "Matteo F. Vescovi" <mfv.debian@gmail.com>
To: 700676-submitter@bugs.debian.org
Cc: 700676@bugs.debian.org
Subject: Re: ITP: opencolorio -- complete color management solution
Date: Tue, 5 Mar 2013 14:51:02 +0100
Hi Marcus!

FYI, OpenColorIO package is almost ready for upload.
Once I've found a sponsor for it, it will be uploaded to experimental
suite and I'll provide a new updated revision of blender enabling it.

Cheers.

-- 
Matteo F. Vescovi
Debian Maintainer
GnuPG KeyID: 83B2CF7A



Message sent on to Marcus Watts <mdw@umich.edu>:
Bug#700676. (Tue, 05 Mar 2013 14:06:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 06 Mar 2013 19:06:04 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from "Matteo F. Vescovi" <mfv.debian@gmail.com> to control@bugs.debian.org. (Wed, 24 Apr 2013 08:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Matteo F. Vescovi" <mfv.debian@gmail.com>:
Bug#700676; Package wnpp. (Mon, 10 Jun 2013 15:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Riddell <jr@jriddell.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Matteo F. Vescovi" <mfv.debian@gmail.com>. (Mon, 10 Jun 2013 15:24:04 GMT) Full text and rfc822 format available.

Message #34 received at 700676@bugs.debian.org (full text, mbox):

From: Jonathan Riddell <jr@jriddell.org>
To: 700676@bugs.debian.org
Subject: ubuntu
Date: Mon, 10 Jun 2013 16:22:37 +0100
[Message part 1 (text/plain, inline)]
package now in ubuntu based off Marcus Watts's packagae with some fixes

https://launchpad.net/ubuntu/+source/opencolorio

  * Build with --with python2
  * Add build-depends on libxi-dev and libxmu-dev
  * Set -DOCIO_BUILD_DOCS:BOOL=OFF to avoid compile failures
  * Rebuild tar without ext/ and src/mari/ directory for licence simplicity
  * Complete debian/copyright

Jonathan
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#700676; Package wnpp. (Tue, 11 Jun 2013 09:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Matteo F. Vescovi" <mfv.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 11 Jun 2013 09:42:05 GMT) Full text and rfc822 format available.

Message #39 received at 700676@bugs.debian.org (full text, mbox):

From: "Matteo F. Vescovi" <mfv.debian@gmail.com>
To: Jonathan Riddell <jr@jriddell.org>
Cc: 700676@bugs.debian.org
Subject: Re: Bug#700676: ubuntu
Date: Tue, 11 Jun 2013 11:38:44 +0200
tags 700676 + help
thanks

Hi!

On Mon, Jun 10, 2013 at 04:22:37PM +0100, Jonathan Riddell wrote:
> package now in ubuntu based off Marcus Watts's packagae with some fixes
> 
> https://launchpad.net/ubuntu/+source/opencolorio
> 
>   * Build with --with python2

http://anonscm.debian.org/gitweb/?p=pkg-phototools/opencolorio.git;a=commit;h=7c6e8c47354160593af8bff6f8b2146997745cd1

>   * Add build-depends on libxi-dev and libxmu-dev

Any particolar benefit from adding these b-deps? Any new feature?

>   * Set -DOCIO_BUILD_DOCS:BOOL=OFF to avoid compile failures
>   * Rebuild tar without ext/ and src/mari/ directory for licence simplicity

Well, the approach of removing the stuff that blocks the compile
process is not considered the optimal direction for any distribution.
It's like avoiding the problem, in the end.
And here we're talking of documentation; people need documentation!
I'm spending time (lots of it) trying to modify the upstream source thru
patches to use libraries already included in Debian. That's why things
are not changing in this period.
Help is really appreciated (tagging now).

>   * Complete debian/copyright

Good to know. Thanks.

Cheers.

-- 
Matteo F. Vescovi
Debian Maintainer
GnuPG KeyID: 0x83B2CF7A



Added tag(s) help. Request was from "Matteo F. Vescovi" <mfv.debian@gmail.com> to control@bugs.debian.org. (Tue, 11 Jun 2013 09:42:07 GMT) Full text and rfc822 format available.

Removed tag(s) help. Request was from "Matteo F. Vescovi" <mfv.debian@gmail.com> to control@bugs.debian.org. (Mon, 17 Jun 2013 14:51:11 GMT) Full text and rfc822 format available.

Reply sent to mfv.debian@gmail.com (Matteo F. Vescovi):
You have taken responsibility. (Wed, 07 Aug 2013 23:03:35 GMT) Full text and rfc822 format available.

Notification sent to Marcus Watts <mdw@umich.edu>:
Bug acknowledged by developer. (Wed, 07 Aug 2013 23:03:35 GMT) Full text and rfc822 format available.

Message #48 received at 700676-close@bugs.debian.org (full text, mbox):

From: mfv.debian@gmail.com (Matteo F. Vescovi)
To: 700676-close@bugs.debian.org
Subject: Bug#700676: fixed in opencolorio 1.0.8~dfsg0-1
Date: Wed, 07 Aug 2013 23:00:17 +0000
Source: opencolorio
Source-Version: 1.0.8~dfsg0-1

We believe that the bug you reported is fixed in the latest version of
opencolorio, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700676@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matteo F. Vescovi <mfv.debian@gmail.com> (supplier of updated opencolorio package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 12 Jun 2013 14:54:06 +0200
Source: opencolorio
Binary: libopencolorio-dev libopencolorio1 opencolorio-tools opencolorio-doc python-pyopencolorio
Architecture: source amd64 all
Version: 1.0.8~dfsg0-1
Distribution: unstable
Urgency: low
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Changed-By: Matteo F. Vescovi <mfv.debian@gmail.com>
Description: 
 libopencolorio-dev - complete color management solution - development
 libopencolorio1 - complete color management solution - runtime
 opencolorio-doc - complete color management solution - documentation
 opencolorio-tools - complete color management solution - utilities
 python-pyopencolorio - complete color management solution - python bindings
Closes: 700676
Changes: 
 opencolorio (1.0.8~dfsg0-1) unstable; urgency=low
 .
   * Initial release (Closes: #700676)
Checksums-Sha1: 
 8a06c0e05153fdd41c07a2a505b2079080f6574c 2556 opencolorio_1.0.8~dfsg0-1.dsc
 78e3ff28e1f0284878d28679f7eabb7b53533d45 2356782 opencolorio_1.0.8~dfsg0.orig.tar.gz
 8fd5fee2adede06e95be8252c78ad7d8bddd4d3c 16773 opencolorio_1.0.8~dfsg0-1.debian.tar.gz
 e47c90831da2951b42d75e736d6cd27b6851a9bd 25690 libopencolorio-dev_1.0.8~dfsg0-1_amd64.deb
 7896c9c226b040ec85ce28cb16415ddcf4bdc8f0 370312 libopencolorio1_1.0.8~dfsg0-1_amd64.deb
 fa7cf8ff573f63822836ce80939d1d958b437f54 161872 opencolorio-tools_1.0.8~dfsg0-1_amd64.deb
 c3108d17a826938fbda18fffe7adb16fa2206d25 1740060 opencolorio-doc_1.0.8~dfsg0-1_all.deb
 d8ed16ce5d3c96671eb4b93ee022aadabac9e366 93340 python-pyopencolorio_1.0.8~dfsg0-1_amd64.deb
Checksums-Sha256: 
 ae102bb7134568dfbe8c5565c0c281fbefc3f58fec3dd2c837d2c11b661a45db 2556 opencolorio_1.0.8~dfsg0-1.dsc
 0e000c4687e817aaf289b0f8e015fa75ae6c1aeb7fae4a6eba33d1d7ad6b6979 2356782 opencolorio_1.0.8~dfsg0.orig.tar.gz
 e40b3058d4f040762abe240ccff14a10ff4258109238fc3da8827ac67be43a5e 16773 opencolorio_1.0.8~dfsg0-1.debian.tar.gz
 b3724673244cd57f14076c16561449035b5570ed1de7247e9a1f652117dbe2f5 25690 libopencolorio-dev_1.0.8~dfsg0-1_amd64.deb
 d5b123d0c9ff0a7fbd1c8b25fa2f187572d74aadc50e838c184122c192096f08 370312 libopencolorio1_1.0.8~dfsg0-1_amd64.deb
 8f62e33229b16e575a2072bdce071ba22d60229d93a8bf7215b0686f898bc63a 161872 opencolorio-tools_1.0.8~dfsg0-1_amd64.deb
 42311af607ae0673ce5772f743b89c900eedd95526fd5660921b7d5fbf421999 1740060 opencolorio-doc_1.0.8~dfsg0-1_all.deb
 4ce0ab0d35d27876446ee4ff55e598ee46dcdcc5e80c492d0f42fae5cf9f2bad 93340 python-pyopencolorio_1.0.8~dfsg0-1_amd64.deb
Files: 
 d10127601b318098e8ffe1b2007da738 2556 libs extra opencolorio_1.0.8~dfsg0-1.dsc
 a015d5700e24d49502b56bededdfaecc 2356782 libs extra opencolorio_1.0.8~dfsg0.orig.tar.gz
 0fe29b7bcef180d171c94b9d338df3b6 16773 libs extra opencolorio_1.0.8~dfsg0-1.debian.tar.gz
 cae8f0709c76e3833015133424cc6a60 25690 libdevel extra libopencolorio-dev_1.0.8~dfsg0-1_amd64.deb
 bd1d0b75ef034b51afb3cdf930c114bb 370312 libdevel extra libopencolorio1_1.0.8~dfsg0-1_amd64.deb
 f2defaaec5f8fa8579794f1fb24a01b5 161872 utils extra opencolorio-tools_1.0.8~dfsg0-1_amd64.deb
 276f96e8a2dc8cda8750333a16962c81 1740060 doc extra opencolorio-doc_1.0.8~dfsg0-1_all.deb
 f247f88cfbb3a841e811a7384008e1a8 93340 python extra python-pyopencolorio_1.0.8~dfsg0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRuneuAAoJEOikiuUxHXZaSIEP/0KE1Vx8/WYcx88qOxyzZZjQ
W8aB0nF3UjlLi68HKMTqxPmFG6pYfVBYKrfhKjRCFT9AZehF4fJAHM41tA0OFJAW
aNkdZAJuQ5uDevRtMBsLy16KZEBhQZp3xIwAhn0QzNwM5gHmFT9B8k90ZgnKm8N4
PJocYsfmrzpsrrA60v4WVToZqdrnjUy2eMDOZxXTyOoyN7C+R+woeioJUQoB/39j
8YhAIzykufU/9nmZeCtN6XT59dm7IEtd+L2aWpOjAFs5VlDMvfBQRa9yhCH2N1/g
7MPZ9EYEb00EBDhVG//XgpFeej3gBg+OEO069z8+MQjy1e2J1CrLCRzBfGz+t4BI
g9lqleoTF0TerAyrZuoIsmwtdk9j5WWo4PzfGzJLq6RrQTQtpaUyqI12GkD997cg
y9sUE/TOwXlbmAi0GhVM9trJGoznMt9rkfa3B+fiDNrfchFWn1MAmxI846DbjIAp
QOy3GCGmPrjeixxeJuwcIS/tSN0ruU+lluuUAASPJcd9JElawqiuryeYXMz/AZ/f
7Sqi+H6d9Fvq/GU0nMsezzmDhW8ZXMJoeLzVynmLpZuFQcC8TFI9oEcGXWlnxJOu
mnDa/O8Mkp1RN1A14upG/teshCB1798tkJmkLk4rBtsDRhzzcwq+f7kqCIb32DJy
tNSFiybXGD0dJuk4a4Q+
=0Gve
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 05 Sep 2013 07:35:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:58:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.